[Launch]
ProgramExecutable=Geany64\bin\Geany.exe
WorkingDirectory=%PAL:AppDir%\Geany64
CommandLineArguments=-c "%PAL:DataDir%\settings"
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[Environment]
PATH="%PAL:AppDir%\Geany64\bin;%PAL:AppDir%\Geany64;%PATH%"
GTK_BASEPATH=%PAL:AppDir%\Geany64
LANG=%PAL:LanguageCustom%

[DirectoriesMove]
-=%APPDATA%\enchant
settings\gtk3=%PAL:AppDir%\Geany64\etc\gtk-3.0

[DirectoriesCleanupIfEmpty]
;%APPDATA%\gtk-2.0

[Language]
Base=%PortableApps.comLocaleglibc%
CheckIfExists=%FullAppDir%\share\locale\%PAL:LanguageCustom%\*.*
DefaultIfNotExists=en_US

[LanguageFile]
Type=INI
File=%PAL:DataDir%\settings\GeanyPortableSettings.ini
Section=GeanyPortableSettings
Key=Language

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\geany.conf
Find=%CustomLastDriveLetter%%3A%CustomLastPackagePartialDir%%5C
Replace=%CustomDriveLetter%%3A%CustomPackagePartialDir%%5C

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\geany.conf
Find=%CustomLastPortableAppsBaseDir%%5C
Replace=%CustomPortableAppsBaseDir%%5C

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\geany.conf
Find=%CustomLastDriveLetter%%3A%5C
Replace=%CustomDriveLetter%%3A%5C

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\settings\geany.conf
Find=%PAL:LastDrive:DoubleBackslash%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive:DoubleBackslash%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite5]
Type=Replace
File=%PAL:DataDir%\settings\geany.conf
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite6]
Type=Replace
File=%PAL:DataDir%\settings\geany.conf
Find=%PAL:LastDrive:DoubleBackslash%\\
Replace=%PAL:Drive:DoubleBackslash%\\

[FileWrite7]
Type=Replace
File=%PAL:DataDir%\settings\geany.conf
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir%\
Replace=%PAL:Drive%%PAL:PackagePartialDir%\

[FileWrite8]
Type=Replace
File=%PAL:DataDir%\settings\geany.conf
Find=%PAL:LastPortableAppsBaseDir%\
Replace=%PAL:PortableAppsBaseDir%\

[FileWrite9]
Type=Replace
File=%PAL:DataDir%\settings\geany.conf
Find=%PAL:LastDrive%\
Replace=%PAL:Drive%\

[FileWrite10]
Type=Replace
File=%PAL:DataDir%\settings\plugins\spellcheck\spellcheck.conf
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir%\
Replace=%PAL:Drive%%PAL:PackagePartialDir%\

[FileWrite11]
Type=Replace
File=%PAL:DataDir%\settings\plugins\spellcheck\spellcheck.conf
Find=%PAL:LastPortableAppsBaseDir%\
Replace=%PAL:PortableAppsBaseDir%\

[FileWrite12]
Type=Replace
File=%PAL:DataDir%\settings\plugins\spellcheck\spellcheck.conf
Find=%PAL:LastDrive%\
Replace=%PAL:Drive%\

[FileWrite13]
Type=INI
File=%PAL:DataDir%\settings%\GeanyPortableSettings.ini
Section=GeanyPortableSettings
Key=Language
Value=%PAL:LanguageCustom%

[FileWrite14]
Type=Replace
File=%PAL:DataDir%\settings\session.conf
Find=@PLACEHOLDER_PROJECTPATH@
Replace=%PAL:DataDir%\Projects

[FileWrite15]
Type=Replace
File=%PAL:DataDir%\settings\session.conf
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir%\
Replace=%PAL:Drive%%PAL:PackagePartialDir%\

[FileWrite16]
Type=Replace
File=%PAL:DataDir%\settings\session.conf
Find=%PAL:LastPortableAppsBaseDir%\
Replace=%PAL:PortableAppsBaseDir%\

[FileWrite17]
Type=Replace
File=%PAL:DataDir%\settings\session.conf
Find=%PAL:LastDrive%\
Replace=%PAL:Drive%\
